Namespace DRIT.Mail.Rfc.VCard
Classes
VCard
A vCard (RFC 6350, RFC 2426, informal 2.1). Immutable after parsing. Construct via VCardBuilder for writing.
VCardAddress
A delivery address, the value of the ADR property (RFC 6350 §6.3.1,
RFC 2426 §3.2.1). The structured components are separated by semicolons in the
serialized form:
PostOfficeBox;ExtendedAddress;Street;Locality;Region;PostalCode;Country.
VCardAddressBuilder
Builder for constructing a VCardAddress.
VCardBuilder
Builder for constructing VCard instances for writing.
VCardEmail
An email address, the value of the EMAIL property (RFC 6350 §6.4.2,
RFC 2426 §3.3.2).
VCardGeo
A geographic position, the value of the GEO property (RFC 6350 §6.5.2,
RFC 2426 §3.4.2). Serialized as latitude;longitude.
VCardName
A structured name, the value of the N property (RFC 6350 §6.2.2,
RFC 2426 §3.1.1). The components are separated by semicolons in the serialized
form: FamilyName;GivenName;AdditionalNames;HonorificPrefixes;HonorificSuffixes.
VCardParameter
A single name-value parameter of a vCard property (RFC 6350 §3.4,
RFC 2425 §4). For example, the TYPE=work portion of
TEL;TYPE=work:+1-555-1234.
VCardPhoneNumber
A telephone number, the value of the TEL property (RFC 6350 §6.4.1,
RFC 2426 §3.3.1).
VCardProperty
A raw vCard property (RFC 6350 §3.3, RFC 2425 §4). Consists of a name, an optional
list of parameters, and a value. This type provides raw access to any property,
including those not covered by the typed VCard model (e.g. X-MS-*
extension properties).
VCardReader
Reads vCard data (RFC 6350, RFC 2426, informal 2.1) from a stream.
VCardWriter
Writes vCard data (RFC 6350, RFC 2426, informal 2.1) to a stream.
Enums
VCardAddressType
Specifies the type of a delivery address (RFC 6350 §6.3.1, RFC 2426 §3.2.1).
VCardClassification
Specifies the classification of a vCard (RFC 2426 §3.6.1).
VCardEmailType
Specifies the type of an email address (RFC 6350 §6.4.2, RFC 2426 §3.3.2).
VCardPhoneType
Specifies the type of a telephone number (RFC 6350 §6.4.1, RFC 2426 §3.3.1).
VCardVersion
Specifies the vCard version (RFC 6350 §3.6.9, RFC 2426, informal 2.1).